## org.apache.mahout.classifier.bayes.mapreduce.bayes
Class BayesDriver

    java.lang.Object
      org.apache.mahout.classifier.bayes.mapreduce.bayes.BayesDriver

All Implemented Interfaces:
  BayesJob

    public class BayesDriver

extends java.lang.Object
implements BayesJob

Create and run the Bayes Trainer.

Constructor Summary
`BayesDriver()`

Method Summary
`void` `runJob(org.apache.hadoop.fs.Path input, org.apache.hadoop.fs.Path output, BayesParameters params)` Execute a classification job on a cluster.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BayesDriver

    public BayesDriver()

Method Detail

### runJob

    public void runJob(org.apache.hadoop.fs.Path input,
                       org.apache.hadoop.fs.Path output,
                       BayesParameters params)
                throws java.io.IOException

  Description copied from interface: `BayesJob`
  Execute a classification job on a cluster.

  Specified by:
    `runJob` in interface `BayesJob`
  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.